Docs
Workspace

Get the workspace

GET/workspaces/current

The workspace your key belongs to, your role, keys for the snippet and whether production needs approval.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Response Body

OK

application/json
  1. response
workspace*
Shell
curl -X GET 'https://app.cueston.com/api/workspaces/current'
Example Response
JSON
{
  "workspace": {
    "id": 42,
    "name": "Acme",
    "slug": "acme",
    "role": "admin",
    "publicKey": "pk_c40146fd2e5b339070329d71891e5cf7",
    "stagingPublicKey": "pk_test_f1694f7b279e417ebf0336c9aef9b5b8",
    "legacyTokenPrefix": "string",
    "requireApproval": true,
    "previewUrl": "https://app.acme.com",
    "plan": "pro",
    "planStatus": "string",
    "features": {},
    "allowedDomains": [
      "string"
    ],
    "sdkLastSeenAt": "2026-10-26T09:30:00Z",
    "sdkLastSeenOrigin": "string",
    "logoUrl": "string",
    "createdAt": "2026-10-26T09:30:00Z"
  }
}